unofficial mirror of emacs-devel@gnu.org 
 help / color / mirror / code / Atom feed
From: Paul Eggert <eggert@cs.ucla.edu>
To: Angelo Graziosi <angelo.graziosi@alice.it>
Cc: Emacs development discussions <emacs-devel@gnu.org>
Subject: Re: Build failure for Emacs master
Date: Wed, 13 Apr 2016 18:31:44 -0700	[thread overview]
Message-ID: <570EF300.3050104@cs.ucla.edu> (raw)
In-Reply-To: <570EC198.5090407@alice.it>

[-- Attachment #1: Type: text/plain, Size: 618 bytes --]

On 04/13/2016 03:00 PM, Angelo Graziosi wrote:
>
> './autogen.sh all' does not work using 
> http://git.savannah.gnu.org/cgit/emacs.git/snapshot/emacs-master.tar.gz as 
> source: 

That's a different approach from what's in INSTALL.REPO. INSTALL.REPO 
assumes you're building from a Git clone; among other things, that's why 
INSTALL.REPO requires that you have Git installed. Since you're using a 
strategy that does not involve Git, a different procedure is called for.

'./autogen.sh all' can be adjusted to work for your use case. I 
installed the attached patch, which attempts to do that. Please give it 
a try.

[-- Attachment #2: 0001-Port-.-autogen.sh-git-to-non-clones.txt --]
[-- Type: text/plain, Size: 3020 bytes --]

From 1aa7a86397a750cf93a6377e413cfb4ea4db2735 Mon Sep 17 00:00:00 2001
From: Paul Eggert <eggert@cs.ucla.edu>
Date: Wed, 13 Apr 2016 18:19:04 -0700
Subject: [PATCH] =?UTF-8?q?Port=20=E2=80=98./autogen.sh=20git=E2=80=99=20t?=
 =?UTF-8?q?o=20non-clones?=
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Problem reported by Angelo Graziosi in:
http://lists.gnu.org/archive/html/emacs-devel/2016-04/msg00341.html
* autogen.sh (do_git): Default to false when the arg is ‘all’ but
there is no ‘.git’.
(git_common_dir, hooks): New vars.
(git_config, tailored_hooks, sample_hooks): Use them.
---
 autogen.sh | 26 +++++++++++++++++---------
 1 file changed, 17 insertions(+), 9 deletions(-)

diff --git a/autogen.sh b/autogen.sh
index 2e10a77..cd0accd 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -112,7 +112,8 @@ do_git=
       --help)
 	exec echo "$0: usage: $0 [all|autoconf|git]";;
       all)
-	do_autoconf=true do_git=true;;
+	do_autoconf=true
+	test -e .git && do_git=true;;
       autoconf)
 	do_autoconf=true;;
       git)
@@ -260,7 +261,8 @@ git_config ()
 		echo 'Configuring local git repository...'
 		case $cp_options in
 		  --backup=*)
-		    cp $cp_options --force .git/config .git/config || exit;;
+		    config=$git_common_dir/config
+		    cp $cp_options --force -- "$config" "$config" || exit;;
 		esac
 	    fi
 	    echo "git config $name '$value'"
@@ -272,6 +274,13 @@ git_config ()
 
 ## Configure Git, if requested.
 
+# Get location of Git's common configuration directory.  For older Git
+# versions this is just '.git'.  Newer Git versions support worktrees.
+
+test -e .git && git_common_dir=`git rev-parse --git-common-dir 2>/dev/null` ||
+  git_common_dir=.git
+hooks=$git_common_dir/hooks
+
 # Check hashes when transferring objects among repositories.
 
 git_config transfer.fsckObjects true
@@ -296,12 +305,11 @@ tailored_hooks=
 sample_hooks=
 
 for hook in commit-msg pre-commit; do
-    cmp build-aux/git-hooks/$hook .git/hooks/$hook >/dev/null 2>&1 ||
+    cmp -- build-aux/git-hooks/$hook "$hooks/$hook" >/dev/null 2>&1 ||
 	tailored_hooks="$tailored_hooks $hook"
 done
 for hook in applypatch-msg pre-applypatch; do
-    src=.git/hooks/$hook.sample
-    cmp "$src" .git/hooks/$hook >/dev/null 2>&1 ||
+    cmp -- "$hooks/$hook.sample" "$hooks/$hook" >/dev/null 2>&1 ||
 	sample_hooks="$sample_hooks $hook"
 done
 
@@ -311,15 +319,15 @@ sample_hooks=
 
 	if test -n "$tailored_hooks"; then
 	    for hook in $tailored_hooks; do
-		dst=.git/hooks/$hook
-		cp $cp_options build-aux/git-hooks/$hook "$dst" || exit
-		chmod a-w "$dst" || exit
+		dst=$hooks/$hook
+		cp $cp_options -- build-aux/git-hooks/$hook "$dst" || exit
+		chmod -- a-w "$dst" || exit
 	    done
 	fi
 
 	if test -n "$sample_hooks"; then
 	    for hook in $sample_hooks; do
-		cp $cp_options .git/hooks/$hook.sample .git/hooks/$hook || exit
+		cp $cp_options -- "$hooks/$hook.sample" "$hooks/$hook" || exit
 		chmod a-w .git/hooks/$hook || exit
 	    done
 	fi
-- 
2.5.5


  reply	other threads:[~2016-04-14  1:31 UTC|newest]

Thread overview: 119+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-02-23 22:11 Build failure for Emacs master Angelo Graziosi
2016-02-23 23:14 ` Paul Eggert
2016-02-24  0:23   ` Angelo Graziosi
2016-02-24  3:42 ` Eli Zaretskii
2016-02-24  9:36   ` Angelo Graziosi
2016-02-24 10:20     ` Angelo Graziosi
2016-02-24 17:37       ` Eli Zaretskii
2016-02-24 22:20         ` Angelo Graziosi
2016-02-25 16:43           ` Eli Zaretskii
2016-03-04 21:50             ` Angelo Graziosi
2016-03-05  7:25               ` Eli Zaretskii
2016-03-05 13:53                 ` Angelo Graziosi
2016-03-05 20:59                 ` Angelo Graziosi
2016-03-06  3:35                   ` Eli Zaretskii
2016-03-06 16:55                     ` Eli Zaretskii
2016-03-06 22:00                       ` Angelo Graziosi
2016-03-06 17:37                     ` Andy Moreton
2016-03-06 17:54                       ` Eli Zaretskii
2016-04-12  0:36                 ` Angelo Graziosi
2016-04-12 11:36                   ` Phillip Lord
2016-04-12 20:54                     ` Angelo Graziosi
2016-04-12 22:52                       ` MS-Windows warnings (was build failure) " Paul Eggert
2016-04-12 23:36                         ` Angelo Graziosi
2016-04-13  5:49                         ` Yuri Khan
2016-04-13 15:26                         ` Eli Zaretskii
2016-04-13 18:06                           ` Paul Eggert
2016-04-13 19:16                             ` Eli Zaretskii
2016-04-19 15:46                         ` Davis Herring
2016-04-19 16:04                           ` Eli Zaretskii
2016-04-19 19:19                             ` Davis Herring
2016-04-12 15:28                   ` Build failure " Eli Zaretskii
2016-04-12 21:00                     ` Angelo Graziosi
2016-04-12 21:49                     ` Andy Moreton
2016-04-13  2:37                       ` Eli Zaretskii
2016-04-13 23:11                         ` Andy Moreton
2016-04-14  7:32                           ` Phillip Lord
2016-04-14 16:06                             ` Paul Eggert
2016-04-14 16:19                               ` Eli Zaretskii
2016-04-14 16:50                                 ` O_BINARY and emacs_open (was: Build failure for Emacs master) Paul Eggert
2016-04-15 11:08                               ` Build failure for Emacs master Phillip Lord
2016-04-15 14:40                                 ` Eli Zaretskii
2016-04-18 19:08                                   ` Phillip Lord
2016-04-18 19:33                                     ` Eli Zaretskii
2016-04-18 20:05                                       ` Phillip Lord
2016-04-18 21:10                                         ` Paul Eggert
2016-04-20  8:18                                           ` Phillip Lord
2016-04-20 15:05                                             ` Eli Zaretskii
2016-04-20 16:55                                               ` Phillip Lord
2016-04-20 17:41                                                 ` Eli Zaretskii
2016-04-20 17:59                                                 ` Andy Moreton
2016-04-21 10:46                                                   ` Phillip Lord
2016-04-14 16:35                           ` Eli Zaretskii
2016-04-14 17:06                             ` Andy Moreton
2016-04-14 17:48                               ` Eli Zaretskii
2016-04-14 18:40                                 ` Andy Moreton
2016-04-14 19:31                                   ` Eli Zaretskii
2016-04-14 20:30                                     ` Andy Moreton
2016-04-15  7:29                                       ` Eli Zaretskii
2016-04-15  8:18                                         ` Andy Moreton
2016-04-15 14:38                                           ` Eli Zaretskii
2016-04-15 15:36                                             ` Andy Moreton
2016-04-18  8:31                                             ` Angelo Graziosi
2016-04-18 18:30                                               ` Eli Zaretskii
2016-04-18 23:48                                                 ` Andy Moreton
2016-04-19  9:58                                                 ` Angelo Graziosi
2016-04-19 14:39                                                   ` Eli Zaretskii
2016-04-19 21:15                                                     ` Angelo Graziosi
2016-04-19 21:18                                                     ` Angelo Graziosi
2016-04-19 21:20                                                     ` Angelo Graziosi
2016-04-20  0:26                                                       ` Paul Eggert
2016-04-20 14:25                                                         ` Angelo Graziosi
2016-04-12 22:42                     ` Angelo Graziosi
2016-04-13 20:12                     ` Angelo Graziosi
2016-04-13 21:32                       ` Paul Eggert
2016-04-13 22:00                         ` Angelo Graziosi
2016-04-14  1:31                           ` Paul Eggert [this message]
2016-04-14  8:03                             ` Angelo Graziosi
2016-04-14 15:30                               ` Eli Zaretskii
2016-04-14 15:58                                 ` Building Emacs on MSYS2 (was: Build failure for Emacs master) Óscar Fuentes
2016-04-14 16:09                                   ` Building Emacs on MSYS2 Paul Eggert
2016-04-14 16:13                                     ` Óscar Fuentes
2016-04-14 16:21                                       ` Eli Zaretskii
2016-04-14 16:46                                         ` Óscar Fuentes
2016-04-14 17:26                                           ` Eli Zaretskii
2016-04-14 20:09                                             ` Óscar Fuentes
2016-04-15 15:03                                               ` Paul Eggert
2016-04-15 15:37                                                 ` Óscar Fuentes
2016-04-15 17:30                                                   ` Paul Eggert
2016-04-15 17:58                                                     ` Óscar Fuentes
2016-04-15 19:15                                                       ` Paul Eggert
2016-04-15 19:40                                                         ` Óscar Fuentes
2016-04-15 20:03                                                           ` Eli Zaretskii
2016-04-15 20:20                                                             ` Óscar Fuentes
2016-04-15 20:49                                                               ` Eli Zaretskii
2016-04-15 21:37                                                               ` Stephen Leake
2016-04-15 22:11                                                                 ` Óscar Fuentes
2016-04-16  6:42                                                                   ` Eli Zaretskii
2016-04-17 21:46                                                                     ` Fixing imagemagick on W32 Stephen Leake
2016-04-18  2:28                                                                       ` Eli Zaretskii
2016-04-16  6:30                                                                 ` Building Emacs on MSYS2 Eli Zaretskii
2016-04-16 12:17                                                                   ` Stephen Leake
2016-04-16 12:40                                                                     ` Eli Zaretskii
2016-04-16 20:34                                                                       ` png in emacs 25 mingw64 Stephen Leake
2016-04-16 21:02                                                                         ` Stephen Leake
2016-04-17  2:46                                                                           ` Eli Zaretskii
2016-04-17  2:45                                                                         ` Eli Zaretskii
2016-04-18 12:32                                                                 ` Building Emacs on MSYS2 Phillip Lord
2016-04-15 19:42                                                       ` Stefan Monnier
2016-04-15 20:17                                                         ` Óscar Fuentes
2016-04-15 21:22                                                           ` Stefan Monnier
2016-04-14 16:15                                   ` Building Emacs on MSYS2 (was: Build failure for Emacs master) Eli Zaretskii
2016-04-14 16:43                                     ` Building Emacs on MSYS2 Óscar Fuentes
2016-04-14 17:35                                       ` Eli Zaretskii
2016-04-14 16:36                             ` Build failure for Emacs master Angelo Graziosi
2016-04-14 16:39                               ` Paul Eggert
2016-04-14  1:38                         ` Stefan Monnier
2016-04-14  2:04                           ` John Wiegley
2016-04-14 14:41                           ` Paul Eggert
2016-02-24 17:31     ` Eli Zaretskii

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

  List information: https://www.gnu.org/software/emacs/

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=570EF300.3050104@cs.ucla.edu \
    --to=eggert@cs.ucla.edu \
    --cc=angelo.graziosi@alice.it \
    --cc=emacs-devel@gnu.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
Code repositories for project(s) associated with this public inbox

	https://git.savannah.gnu.org/cgit/emacs.git

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).